pskc_add_keypackage(3)

NAME
pskc_add_keypackage - API function

SYNOPSIS
#include <pskc.h>

int pskc_add_keypackage(pskc_t * container, pskc_key_t ** key);

ARGUMENTS

pskc_t * container
    a pskc_t handle, from pskc_init().

pskc_key_t ** key
    pointer to pskc_key_t key package handle.

DESCRIPTION
Add a new a PSKC keypackage to the container and give back a pskc_key_t handle.

RETURNS
PSKC_MALLOC_ERROR on memory allocation errors, or PSKC_OK on success.

SINCE
2.2.0

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://oath-toolkit.codeberg.page/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2009-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.